import React, { useState } from "react";
import { CanvasContext } from "./CanvasContext.js";
import { useWebsocket } from "./useWebsocket.js";
export const Canvas = (props) => {
    const [isLoading, setIsLoading] = useState(true);
    const [data, setData] = useState(null);
    const [error, setError] = useState(null);
    const host = props.host;
    const ws = useWebsocket({ host, setIsLoading, setData, setError });
    return React.createElement(CanvasContext.Provider, { value: { isLoading, error, host, data, ws } }, props.children);
};
